package bi.trazamedlib  ;

import com4j.*;

/**
 * Defines methods to create COM objects
 */
public abstract class ClassFactory {
  private ClassFactory() {} // instanciation is not allowed


  /**
   * TrazaMed Object
   */
  public static bi.trazamedlib.ITrazaMed createTrazaMed() {
    return COM4J.createInstance(bi.trazamedlib.ITrazaMed.class, "{88050DA1-B1C1-4FB6-ACAD-4A84D0052946}" );
  }

  /**
   * medicamentosDTO Object
   */
  public static bi.trazamedlib.ImedicamentosDTO createmedicamentosDTO() {
    return COM4J.createInstance(bi.trazamedlib.ImedicamentosDTO.class, "{7F43C0C1-B342-409B-B703-54BF1D0C1D58}" );
  }

  /**
   * medicamentosDTOdhSerie Object
   */
  public static bi.trazamedlib.ImedicamentosDTOdhSerie createmedicamentosDTOdhSerie() {
    return COM4J.createInstance(bi.trazamedlib.ImedicamentosDTOdhSerie.class, "{7EF7EBC7-68D0-4127-977D-8AC33A2354BF}" );
  }

  /**
   * medicamentosFraccion Object
   */
  public static bi.trazamedlib.ImedicamentosFraccion createmedicamentosFraccion() {
    return COM4J.createInstance(bi.trazamedlib.ImedicamentosFraccion.class, "{812028E5-5997-43FD-9505-89CB203364A6}" );
  }

  public static bi.trazamedlib.ITransaccionPlainWS createTransaccionPlainWS() {
    return COM4J.createInstance(bi.trazamedlib.ITransaccionPlainWS.class, "{D866D1B4-545D-4E7C-91CE-93F9803A7BD6}" );
  }

  /**
   * ConsultaStockWSResult Object
   */
  public static bi.trazamedlib.IConsultaStockWSResult createConsultaStockWSResult() {
    return COM4J.createInstance(bi.trazamedlib.IConsultaStockWSResult.class, "{79665691-9A91-4005-8E4F-F701010D8C29}" );
  }

  /**
   * Trazaprodmed Object
   */
  public static bi.trazamedlib.ITrazaprodmed createTrazaprodmed() {
    return COM4J.createInstance(bi.trazamedlib.ITrazaprodmed.class, "{C70A8D9F-B879-428F-8584-24ED9158C659}" );
  }

  public static bi.trazamedlib.IgetTransaccionesWSParametros creategetTransaccionesWSParametros() {
    return COM4J.createInstance(bi.trazamedlib.IgetTransaccionesWSParametros.class, "{59C92EA4-AAE7-47A4-B6D3-B81278C3D0B1}" );
  }

  public static bi.trazamedlib.IgetTransaccionesWSRespuesta creategetTransaccionesWSRespuesta() {
    return COM4J.createInstance(bi.trazamedlib.IgetTransaccionesWSRespuesta.class, "{84EAF991-8030-4C22-8581-E81F25C28905}" );
  }
}
